Upstream information

CVE-2013-7459 at MITRE

Description

Heap-based buffer overflow in the ALGnew function in block_templace.c in Python Cryptography Toolkit (aka pycrypto) allows remote attackers to execute arbitrary code as demonstrated by a crafted iv parameter to cryptmsg.py.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
SUSE Bugzilla entries: 1017420 [RESOLVED / FIXED], 1047666 [RESOLVED / FIXED], 1087140 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1457
SUSE CaaS Platform ALL
  • caasp-container-manifests >= 0.0.0+git_r155_93e40ab-2.3.3
  • container-feeder >= 0.0.0+20170901.git_r55_17ecbd3-2.3.3
  • python-paramiko >= 1.16.0-10.3.5
  • python-pycrypto >= 2.6.1-10.3.1
  • sles12-mariadb-docker-image >= 1.1.0-2.3.10
  • sles12-pause-docker-image >= 1.1.0-2.3.11
  • sles12-pv-recycler-node-docker-image >= 1.1.0-2.3.10
  • sles12-salt-api-docker-image >= 1.1.0-2.3.9
  • sles12-salt-master-docker-image >= 1.1.0-4.3.10
  • sles12-salt-minion-docker-image >= 1.1.0-2.3.8
  • sles12-velum-docker-image >= 1.1.0-4.3.9
Patchnames:
SUSE-CAASP-ALL-2017-1457
SUSE-CAASP-ALL-2017-1531
SUSE Enterprise Storage 3
  • python-paramiko >= 1.15.2-2.3.1
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-Storage-3-2017-1457
SUSE Enterprise Storage 4
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-Storage-4-2017-1457
SUSE Linux Enterprise Build System Kit 12 SP2
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-BSK-12-SP2-2017-1457
SUSE Linux Enterprise Build System Kit 12 SP3
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2017-1457
SUSE Linux Enterprise Module for Advanced Systems Management 12
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-Module-Adv-Systems-Management-12-2017-1457
SUSE Linux Enterprise Module for Basesystem 15
  • python2-pycrypto >= 2.6.1-1.28
  • python3-pycrypto >= 2.6.1-1.28
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA python2-pycrypto
SUSE Linux Enterprise Module for Public Cloud 12
  • python-paramiko >= 1.15.2-2.6.1
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2017-1457
SUSE Linux Enterprise Module for Web Scripting 12
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2017-1457
SUSE Linux Enterprise Point of Sale 12 SP2
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-POS-12-SP2-2017-1457
SUSE Linux Enterprise Server 11 SP3-CLIENT-TOOLS
  • python-pycrypto >= 2.6.1-5.1
Patchnames:
slesctsp3-python-pycrypto-13187
SUSE Linux Enterprise Server 11 SP4-CLIENT-TOOLS
  • python-pycrypto >= 2.6.1-5.1
Patchnames:
slesctsp4-python-pycrypto-13187
SUSE Linux Enterprise Server for SAP Applications 11 SP3-CLIENT-TOOLS
  • python-pycrypto >= 2.6.1-5.1
Patchnames:
slesctsp3-python-pycrypto-13187
SUSE Linux Enterprise Server for SAP Applications 11 SP4-CLIENT-TOOLS
  • python-pycrypto >= 2.6.1-5.1
Patchnames:
slesctsp4-python-pycrypto-13187
SUSE Manager Proxy 3.0
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.0-2017-1457
SUSE Manager Proxy 3.1
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.1-2017-1457
SUSE Manager Server 3.0
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SUSE-Manager-Server-3.0-2017-1457
SUSE Manager Server 3.1
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SUSE-Manager-Server-3.1-2017-1457
SUSE Manager Tools 12
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-SLE-Manager-Tools-12-2017-1457
SUSE OpenStack Cloud 6
  • python-paramiko >= 1.15.2-2.3.1
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1457
SUSE OpenStack Cloud 7
  • python-pycrypto >= 2.6.1-10.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2017-1457
openSUSE Leap 42.1
  • python-pycrypto >= 2.6.1-6.1
  • python-pycrypto-debuginfo >= 2.6.1-6.1
Patchnames:
openSUSE-2017-86
openSUSE Leap 42.2
  • python-pycrypto >= 2.6.1-7.1
  • python-pycrypto-debuginfo >= 2.6.1-7.1
Patchnames:
openSUSE-2017-86
openSUSE Leap 42.3
  • python-pycrypto >= 2.6.1-10.2
Patchnames:
openSUSE Leap 42.3 GA python-pycrypto


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 python-pycrypto Released
CaaS Platform 2.0 python-pycrypto Released
OpenStack Cloud Magnum Orchestration 7.0 python-pycrypto Released
SUSE Cloud 5 python-pycrypto Affected
SUSE Linux Enterprise 12 Compute Node for Cloud 5 python-pycrypto Affected
SUSE Linux Enterprise BSK 12 SP1 python-pycrypto Affected
SUSE Linux Enterprise BSK 12 SP2 python-pycrypto Released
SUSE Linux Enterprise BSK 12 SP3 python-pycrypto Released
SUSE Linux Enterprise Client Tools for SUSE Manager 12 GA python-pycrypto Released
SUSE Linux Enterprise Module for Advanced Systems Management 12 python-pycrypto Released
SUSE Linux Enterprise Module for Public Cloud 12 python-pycrypto Released
SUSE Linux Enterprise Module for Web and Scripting 12 python-pycrypto Released
SUSE Linux Enterprise Point of Sale 12 SP2 python-pycrypto Released
SUSE Manager Proxy 3.0 python-pycrypto Released
SUSE Manager Proxy 3.1 python-pycrypto Released
SUSE Manager Server 3.0 python-pycrypto Released
SUSE Manager Server 3.1 python-pycrypto Released
SUSE Openstack Cloud 6 python-pycrypto Released
SUSE Openstack Cloud 7 python-pycrypto Released
SUSE Storage 2.1 python-pycrypto Affected
SUSE Storage 3 python-pycrypto Released
SUSE Storage 4 python-pycrypto Released